Subject: [PATCH v5 1/2] dt-bindings: brcm: clocks: add binding for brcmstb-cpu-clk-div

From: [email-masked] (Stephen Boyd)
Date: Mon, 6 Feb 2017 17:04:26 -0800

On 02/06, Florian Fainelli wrote:
> On 02/06/2017 02:59 PM, Stephen Boyd wrote:
> > On 02/03, Florian Fainelli wrote:
> >>
> >> We already have another piece of drive code that manipulates registers
> >> in the Bus Interface Unit located in drivers/soc/bcm/brcmstb/biuctrl.c
> >> and which has little to nothing to do with the CPU's clock ratio. And
> >> actually another one being submitted that deals with the CPU's
> >> read-ahead cache. I would very much prefer we keep all of them separate
> >> and dealing with just the register offset they need to do, but that does
> >> not mean the Device Tree binding has to look that way though.
> >>
> >> The binding for the BIUCTRL register made it here:
> >>
> >> Documentation/devicetree/bindings/arm/bcm/brcm,brcmstb.txt
> >>
> >> so we should re-use that, and have a small piece of clock provided that
> >> just uses the relevant register range within that larger register space
> >> and provide the CLOCK_RATIO. Does that work?
> >>
> > 
> > Ok. That's fine. The existing binding will be updated to include
> > this new subnode then for the clock component?
> 
> Humm, I suppose we could do that yes, my original thought was to just
> have this CPU clock provider remap the entire BIUCTRL register range
> (of_iomap() etc.) and manipulate just the relevant register range of
> interest (CPU_CLOCK_CONFIG_REG), but if you want a sub-node to appear,
> we could probably do that as well.

One node is fine as well. I thought the plan was many subnodes
based on the binding document you mentioned earlier.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project